"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const dynamic_on_change_1 = __importDefault(require("dynamic-on-change"));
const getNames_1 = __importDefault(require("./getNames"));
class HandleDataChange {
    constructor(data, onChange = () => null, path = []) {
        this.onChange = onChange;
        this.change = dynamic_on_change_1.default((key, value) => {
            this.value[key] = value;
            this.onChange(this.value);
        });
        this.value = Object.assign(Array.isArray(data) ? [] : {}, data);
        this.path = getNames_1.default(typeof path === "string" ? [path] : path);
    }
}
exports.HandleDataChange = HandleDataChange;
exports.default = HandleDataChange;
